/**
 * OW2 Util
 * Copyright (C) 2008-2009 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: IJaxwsWebServiceRef.java 4672 2009-02-20 15:24:30Z sauthieg $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.common.api.struct;

import java.io.Serializable;

/**
 * Manage WebMethod metadata.
 * @author Florent Benoit
 */
public interface IJavaxJwsWebMethod extends Serializable {

    /**
     * @return The action for this operation.
     */
    String getAction();

    /**
     * Sets the action for this operation.
     * @param action the given action
     */
    void setAction(String action);

    /**
     * Sets the exclude flag.
     * @param isExclude true/false
     */
    void setExclude(boolean isExclude);

    /**
     * @return true if the method is excluded.
     */
    boolean getExclude();

    /**
     * Sets the name of the wsdl:operation matching this method.
     * @param operationName the given operation name
     */
    void setOperationName(String operationName);

    /**
     * @return the name of the wsdl:operation matching this method.
     */
    String getOperationName();


}
